#include <bits/stdc++.h>
using namespace std;
const int MAXN = 1e6;

pair<int, int> o[MAXN];
vector<int> solve(vector<int> a) {
    int n = a.size();
    int co = 0;
    for (int i = (n - 1) / 2 * 2; i >= 0; i -= 2) {
        a[co++] = i;
    }
    for (int i = 1; i < n; i += 2) {
        a[co++] = i;
    }
    return a;
}